bt宝塔面板php7.3、php7.4不支持ZipArchive解决方法_Linux

这篇文章主要介绍了bt宝塔面板php7.3、php7.4不支持ZipArchive解决方法,需要的朋友可以参考下

宝塔面板php7.3版本不支持ZipArchive导致程序无法后台直接更新的解决方法

在SSH命令行界面执行以下语句:

cd /www/server/php/73/src/ext/zip/
/www/server/php/73/bin/phpize
./configure –with-php-config=/www/server/php/73/bin/php-config
make && make install
echo “extension = zip.so” >> /www/server/php/73/etc/php.ini

最后在软件商店重启一下 PHP 服务即可。

宝塔面板php7.4版本不支持ZipArchive导致程序无法后台直接更新的解决方法

在SSH命令行界面执行以下语句:

cd /www/server/php/74/src/ext/zip/
/www/server/php/74/bin/phpize
./configure –with-php-config=/www/server/php/74/bin/php-config
make && make install
echo “extension = zip.so” >> /www/server/php/74/etc/php.ini

最后在软件商店重启一下 PHP 服务即可。

宝塔上关于此问题的说明

因早期安装的Php7.3是独立编译zip扩展,后续安装及升级是整合编译的,导致升级后会重复加载zip模块

因此,其后的PHP就不再单独编译ZIP扩展了。到了现在,半年多过去了,PHP 更新到了 7.3.8,ZIP 模块又不再整合了(不整合是对的,保持独立编译是最稳妥的方式),可是,却没有单独编译和安装ZIP扩展。

那么,解决办法也很简单,ZIP扩展本来就包含在软件包里,添加回来就可以了:

cd /www/server/php/73/src/ext/zip/
/www/server/php/73/bin/phpize
./configure –with-php-config=/www/server/php/73/bin/php-config
make && make install

然后,把以前从PHP配置文件里删去的行加回来:

echo “extension = zip.so” >> /www/server/php/73/etc/php.ini

最后重载一下 PHP 服务即可:

service php-fpm-73 reload

到此这篇关于bt宝塔面板php7.3、php7.4不支持ZipArchive解决方法的文章就介绍到这了,更多相关宝塔php7.3、php7.4不支持ZipArchive内容请搜索安全小天地以前的文章或继续浏览下面的相关文章希望大家以后多多支持安全小天地!

------本文已结束,感谢您的阅读------
THE END
喜欢就支持一下吧
点赞8 分享
评论 抢沙发
头像
善语结善缘,恶语伤人心
提交
头像

昵称

取消
昵称常用语 夸夸
夸夸
还有吗!没看够!
表情图片

    暂无评论内容